Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Get Work Order ETA GETGet Work Order Schedule GETUpdate Work Order Schedule PUT

Resources

WorkflowSchedule

Get Work Order Schedule


Retrieve the service window and scheduling information for a work order.

GET
/api/rest/v2/workorders/{work_order_id}/schedule

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

acting_user_id?integer

ID of the user acting on behalf of another user

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/schedule"
{
  "work_order_id": 1001,
  "service_window": {
    "mode": "exact",
    "start": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "end": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    }
  },
  "schedule_note": "string_value",
  "schedule_option": 0,
  "time_zone": {
    "name": "Sample Name",
    "short": "string_value",
    "id": 123,
    "offset": 0
  },
  "status_id": 0,
  "company_id": 0,
  "today_tomorrow": "string_value",
  "correlation_id": "string_value"
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Get Work Order ETA GET

Previous Page

Update Work Order Schedule PUT

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/schedule"